## org.eclipse.emf.codegen.jet
Class JETParser

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETParser

    public class JETParser

extends java.lang.Object

This class and all those in this package is work derived from contributions of multiple authors as listed below. Credit for all that is good is shared, responsibility for any problems lies solely with the latest authors.

Nested Class Summary
`static interface` `JETParser.Action`
`static class` `JETParser.DelegatingListener`
`static class` `JETParser.Directive`
`static class` `JETParser.Expression`
`static class` `JETParser.QuoteEscape` Quoting in template text.
`static class` `JETParser.Scriptlet`

Field Summary
`protected java.lang.String` `closeDirective`
`protected java.lang.String` `closeExpr`
`protected java.lang.String` `closeScriptlet`
`protected java.util.List<JETCoreElement>` `coreElements`
`protected java.lang.String` `endTag`
`protected JETParseEventListener` `listener` The backend that is notified of constructs recognized in the input...
`protected java.lang.String` `openDirective`
`protected java.lang.String` `openExpr`
`protected java.lang.String` `openScriptlet`
`protected java.lang.String` `quotedEndTag`
`protected java.lang.String` `quotedStartTag`
`protected JETReader` `reader` The input source we read from...
`protected java.lang.String` `startTag`
`protected java.io.CharArrayWriter` `writer`

Constructor Summary
`JETParser(JETReader reader, JETParseEventListener parseEventListener, JETCoreElement[] coreElements)`

Method Summary
`protected void` `flushCharData()`
`java.lang.String` `getCloseDirective()`
`java.lang.String` `getCloseExpr()`
`java.lang.String` `getCloseScriptlet()`
`java.lang.String` `getEndTag()`
`java.lang.String` `getOpenDirective()`
`java.lang.String` `getOpenExpr()`
`java.lang.String` `getOpenScriptlet()`
`java.lang.String` `getQuotedEndTag()`
`java.lang.String` `getQuotedStartTag()`
`JETReader` `getReader()`
`java.lang.String` `getStartTag()`
`void` `parse()`
`void` `parse(java.lang.String until)`
`void` `parse(java.lang.String until, java.lang.Class<?>[] accept)`
`void` `setEndTag(java.lang.String tag)`
`void` `setStartTag(java.lang.String tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected JETReader reader

  The input source we read from...

### listener

    protected JETParseEventListener listener

  The backend that is notified of constructs recognized in the input...

### writer

    protected java.io.CharArrayWriter writer

### coreElements

    protected java.util.List<JETCoreElement> coreElements

### openDirective

    protected java.lang.String openDirective

### closeDirective

    protected java.lang.String closeDirective

### openScriptlet

    protected java.lang.String openScriptlet

### closeScriptlet

    protected java.lang.String closeScriptlet

### openExpr

    protected java.lang.String openExpr

### closeExpr

    protected java.lang.String closeExpr

### quotedStartTag

    protected java.lang.String quotedStartTag

### quotedEndTag

    protected java.lang.String quotedEndTag

### startTag

    protected java.lang.String startTag

### endTag

    protected java.lang.String endTag

Constructor Detail

### JETParser

    public JETParser(JETReader reader,
                     JETParseEventListener parseEventListener,
                     JETCoreElement[] coreElements)

Method Detail

### getReader

    public JETReader getReader()

### setStartTag

    public void setStartTag(java.lang.String tag)

### setEndTag

    public void setEndTag(java.lang.String tag)

### getOpenScriptlet

    public java.lang.String getOpenScriptlet()

### getCloseScriptlet

    public java.lang.String getCloseScriptlet()

### getOpenExpr

    public java.lang.String getOpenExpr()

### getCloseExpr

    public java.lang.String getCloseExpr()

### getOpenDirective

    public java.lang.String getOpenDirective()

### getCloseDirective

    public java.lang.String getCloseDirective()

### getQuotedStartTag

    public java.lang.String getQuotedStartTag()

### getQuotedEndTag

    public java.lang.String getQuotedEndTag()

### getStartTag

    public java.lang.String getStartTag()

### getEndTag

    public java.lang.String getEndTag()

### flushCharData

    protected void flushCharData()
                          throws JETException

  Throws:
    `JETException`

### parse

    public void parse()
               throws JETException

  Throws:
    `JETException`

### parse

    public void parse(java.lang.String until)
               throws JETException

  Throws:
    `JETException`

### parse

    public void parse(java.lang.String until,
                      java.lang.Class<?>[] accept)
               throws JETException

  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.